Subject: Trainer Candidate - Binson Thomas
From: Binson Thomas <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 12 Feb 2021 09:46:04 -0500

| | Tech Support Test

Name | Binson Thomas
E-mail | [email-masked]
Phone Number | (+91) 9633704818
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Kochi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | IDP educations | Branch Manager | Present | 42000
Previous Employer 1 | Docswallet | Deputy Manager | 19 Jul 2019 | 27000
Previous Employer 2 | Seasonz India | Senior Consultant | 18 Feb 2016 | 13000

If Selected, how much time do you need to join? | 1 Month
Please briefly describe your work experience specifically in training? | Branch management, Team leading, HR recruiting, training and team coordination are some of the skills
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | It is not always that you face a challenging task just out of all professional reasons. Sometimes, your personal life too causes some trouble in your work. I had my work piled up due to my health issues after I met an accident and made me bedridden for a month. I had a lot of pressure and stress in completing the work. But I decided that worrying won’t help it and I need to prioritize the works. So, I wrote down all the work I was supposed to complete and segregated them based on submission deadlines. This helped to finish my tasks well in time although I was required to push my limits due to my health I submitted my work on time. This taught me how taking a ‘prioritizing task’ for granted can cost you so much.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Responding to the customer query within time is good Customer Service and responding to the customer query within minutes with the resolution is great service
What according to you makes you a good candidate for this position? | With a business administration degree and more than six years of experience in the Customer Relationship & two (plus) years’ Branch Management skills, I offer a unique combination of knowledge, expertise and technical skills to help the organisation to achieve its business goals. I believe that actively participating in this job will offer me a sound opportunity to gain an insight into the actuarial and financial world. I look forward to duties where I can make a good impression and maintain an impeccable reputation on behalf of this prestigious firm.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |